package require BLT
	
namespace import blt::*
namespace import -force blt::tile::*

blt::graph .graph
pack .graph -fill both -expand true

.graph xaxis configure -title "count"
.graph yaxis configure -title "y"

blt::vector create xv(3)
blt::vector create y0v(3)
blt::vector create y1v(3)


set file [open data.txt r]

set i 0
while {![eof $file]} {
	set line [gets $file]
	scan $line "%f %f %f" xe ye0 ye1 
	set xv($i) $xe
	set y0v($i) $ye0
	set y1v($i) $ye1
	incr i
}

.graph element create line1 -symbol none \
	-linewidth 2 \
	-color red \
	-xdata xv -ydata y0v

.graph element create line2 -symbol none \
	-linewidth 2 \
	-color green \
	-xdata xv -ydata y1v
